﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true"
    CodeBehind="Default.aspx.cs" Inherits="HierarchicalGridMultiColumnHeader._Default" %>

<%@ Register Assembly="Infragistics4.Web.v12.1, Version=12.1.20121.1005, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>
<%@ Register Assembly="Infragistics4.Web.v12.1, Version=12.1.20121.1005, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.Web.UI.DataSourceControls" TagPrefix="ig" %>
<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <h3>
        Hierarchical Grid with Multi-Column Headers
    </h3>
    <p>
    </p>
    <ig:WebHierarchicalDataGrid ID="WebHierarchicalDataGrid1" runat="server" Height="500px"
        Width="650px" DataSourceID="WebHierarchicalDataSource1" StyleSetName="IG" AutoGenerateColumns="False"
        DataKeyFields="CustomerID">
        <Columns>
            <%-- Grouped headers/columns in main layout--%>
            <%--Company Group--%>
            <ig:GroupField Key="ParentGroup" Header-Text="Company">
                <Columns>
                    <ig:BoundDataField DataFieldName="CompanyName" Key="CompanyName" Header-Text="Company Name" />
                    <ig:GroupField Key="ChildGroup" Header-Text="Contact">
                        <Columns>
                            <ig:BoundDataField DataFieldName="ContactName" Key="ContactName" Header-Text="Name" />
                            <ig:BoundDataField DataFieldName="ContactTitle" Key="ContactTitle" Header-Text="Title" />
                            <ig:BoundDataField DataFieldName="Phone" Key="Phone" Header-Text="Phone" />
                        </Columns>
                    </ig:GroupField>
                    <ig:BoundDataField DataFieldName="Fax" Key="Fax" Header-Text="Fax" />
                </Columns>
            </ig:GroupField>
            <%--Location Group--%>
            <ig:GroupField Key="ParentGroup2" Header-Text="Location">
                <Columns>
                    <ig:BoundDataField DataFieldName="Country" Key="Country" Header-Text="Country" />
                    <ig:GroupField Key="ChildGroup2" Header-Text="Full Adress">
                        <Columns>
                            <ig:BoundDataField DataFieldName="Address" Key="Address" Header-Text="Address" />
                            <ig:BoundDataField DataFieldName="City" Key="City" Header-Text="City" />
                            <ig:BoundDataField DataFieldName="PostalCode" Key="PostalCode" Header-Text="PostalCode" />
                        </Columns>
                    </ig:GroupField>
                </Columns>
            </ig:GroupField>
        </Columns>
        <Bands>
            <ig:Band AutoGenerateColumns="False" DataKeyFields="OrderID" Key="Orders" DataMember="EntityDataSource2_DefaultView">
                <Columns>
                    <%--Child Layout Group--%>
                    <ig:GroupField Key="Group" Header-Text="Order shipping">
                        <Columns>
                            <ig:BoundDataField DataFieldName="ShipVia" Key="ShipVia" Header-Text="Ship via" />
                            <ig:BoundDataField DataFieldName="ShipName" Key="ShipName" Header-Text="Ship Name" />
                            <ig:GroupField Key="ChildGroup3" Header-Text="Ship Dates">
                                <Columns>
                                    <ig:BoundDataField DataFieldName="OrderDate" Key="OrderDate" Header-Text="Order Date" />
                                    <ig:BoundDataField DataFieldName="RequiredDate" Key="RequiredDate" Header-Text="Required Date" />
                                    <ig:BoundDataField DataFieldName="ShippedDate" Key="ShippedDate" Header-Text="Shipped Date" />
                                </Columns>
                            </ig:GroupField>
                        </Columns>
                    </ig:GroupField>
                </Columns>
            </ig:Band>
        </Bands>
        <Behaviors>
            <ig:Sorting>
            </ig:Sorting>
            <ig:Selection>
            </ig:Selection>
            <ig:Filtering EnableInheritance="True">
            </ig:Filtering>
            <ig:ColumnResizing EnableInheritance="True">
            </ig:ColumnResizing>
            <ig:ColumnMoving EnableInheritance="True">
            </ig:ColumnMoving>
        </Behaviors>
    </ig:WebHierarchicalDataGrid>
    <ig:WebHierarchicalDataSource ID="WebHierarchicalDataSource1" runat="server">
        <DataViews>
            <ig:DataView ID="EntityDataSource1_DefaultView" DataMember="DefaultView" DataSourceID="EntityDataSource1" />
            <ig:DataView ID="EntityDataSource2_DefaultView" DataMember="DefaultView" DataSourceID="EntityDataSource2" />
        </DataViews>
        <DataRelations>
            <ig:DataRelation ChildColumns="CustomerID" ChildDataViewID="EntityDataSource2_DefaultView"
                ParentColumns="CustomerID" ParentDataViewID="EntityDataSource1_DefaultView" />
        </DataRelations>
    </ig:WebHierarchicalDataSource>
    <asp:EntityDataSource ID="EntityDataSource2" runat="server" ConnectionString="name=NorthwindEntities"
        DefaultContainerName="NorthwindEntities" EnableFlattening="False" EntitySetName="Orders"
        Select="it.[OrderID], it.[CustomerID], it.[OrderDate], it.[RequiredDate], it.[ShippedDate], it.[ShipVia], it.[Freight], it.[ShipName], it.[ShipAddress], it.[ShipCity], it.[ShipRegion], it.[ShipPostalCode], it.[ShipCountry]">
    </asp:EntityDataSource>
    <asp:EntityDataSource ID="EntityDataSource1" runat="server" ConnectionString="name=NorthwindEntities"
        DefaultContainerName="NorthwindEntities" EnableFlattening="False" EntitySetName="Customers"
        Select="it.[CompanyName], it.[ContactName], it.[ContactTitle], it.[Address], it.[City], it.[Region], it.[PostalCode], it.[Country], it.[Phone], it.[Fax], it.[CustomerID]">
    </asp:EntityDataSource>
    <asp:ScriptManager runat="server">
    </asp:ScriptManager>
</asp:Content>
